%global npm_name base64url

Summary:       For encoding to/from base64urls
Name:          nodejs-%{npm_name}
Version:       1.0.4
Release:       2%{?dist}
License:       MIT
URL:           https://github.com/brianloveswords/base64url
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Converting to, and from, base64url

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr bin index.js package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{npm_name}/bin/base64url %{buildroot}%{_bindir}/base64url

%files
%doc LICENSE readme.md
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/base64url

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com>
- spec change: npmname -> npm_name

* Wed Sep 09 2015 Troy Dawson <tdawson@redhat.com> - 1.0.4-1
- Initial package
